/**
 * 拣配查询表格列
 */
import vm from '@/main';
export const headers = [
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
    width: 550,
  },
];

/**
 * 拣配查询结果表格列
 */
export const resultHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_CumulativePickingQuantity'),
    key: 'totalMoAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_HandoverQuantity'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.Pi_factory'),
    key: 'sapFactoryCode',
  },
  {
    label: vm.$t('message.Pi_Station'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: 'MRP',
    key: 'mrpCode',
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
  },
  {
    label: vm.$t('message.Pi_FinishedProductModel'),
    key: 'prdMaterialDesc',
    width: 300,
  },
  {
    label: vm.$t('message.po_Location'),
    key: 'wkposCode',
  },
];

/**
 * 汇总拣配表格列
 */
export const summaryHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_CurrentPickingQuantity'),
    key: 'currentAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_PickedQuantity'),
    key: 'totalMoAmount',
  },
  {
    label: vm.$t('message.Pi_QuantityHandedOver'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.po_Location'),
    // key: 'currentWkposCode',
    key: 'wkposCode',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  // {
  //   label: '成品型号',
  //   key: 'prdMaterialDesc',
  //   width: 300,
  // },
  // {
  //   label: '工位',
  //   key: 'sendSpot',
  // },
  // {
  //   label: '工厂',
  //   key: 'sapFactoryCode',
  // },
];

/**
 * 按单拣配表格列
 */
export const orderHeaders = [
  {
    label: vm.$t('message.po_MaterielNo'),
    key: 'materialCode',
    width: 220,
  },
  {
    label: vm.$t('message.po_DemandQuantity'),
    key: 'amount',
  },
  {
    label: vm.$t('message.Pi_CurrentPickingQuantity'),
    key: 'currentAmount',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_PickedQuantity'),
    key: 'totalMoAmount',
  },
  {
    label: vm.$t('message.Pi_QuantityHandedOver'),
    key: 'totalHvAmount',
  },
  {
    label: vm.$t('message.po_Location'),
    // key: 'currentWkposCode',
    key: 'wkposCode',
  },
  {
    label: vm.$t('message.po_MaterielDes'),
    key: 'materialDesc',
    width: 350,
  },
  {
    label: vm.$t('message.Pi_unit'),
    key: 'unit',
  },
  {
    label: vm.$t('message.Pi_FinishedProductModel'),
    key: 'prdMaterialDesc',
    width: 300,
  },
  {
    label: vm.$t('message.Pi_factory'),
    key: 'sapFactoryCode',
  },
  {
    label: vm.$t('message.Pi_Station'),
    key: 'sendSpot',
  },
  {
    label: vm.$t('message.Pi_OrderNo'),
    key: 'prdOrder',
  },
];

export const Headers = [
  {
    label: vm.$t('message.product_barCode'),
    key: 'barCode', //条码
    width: 220,
  },
  {
    label: vm.$t('message.transfer_barcode'),
    key: 'proMoveCode', //移库批次
  },
  {
    label: vm.$t('message.Product_code'),
    key: 'materialCode', //产品编码
    width: 300,
  },
  {
    label: vm.$t('message.Access_type'),
    key: 'oiType', //出入类型
  },
  {
    label: vm.$t('message.product_Location'),
    key: 'wlToCode', //库位
  },
];
